Subject: Re: Response requested: Proposal regarding milestones

From: Ted Hardie <[email-masked]>
Date: Thu, 12 Dec 2002 14:31:09 -0800 (PST)

Fred writes:
> So, now back to your question. You want to know what I'm trying to achieve. 
> I'm trying to force that conversation to happen, using the opportunity to 
> get a room at an IETF meeting as a lever. This is also the objective of the 
> proposals to limit the number of working groups in the IETF or to limit 
> their duration. The argument for my approach is that it is based on an 
> agreement between the WG and the AD, not something arbitrary. To me, an 
> arbitrary boundary seems unreasonable, while a contract is a very 
> reasonable management and enforcement tool.

I agree that this conversation needs to happen, but I don't think this
is a good lever.  Right now the IETF has a significant pulse effect in
effort, as the meetings drive folks to finish their drafts, make
comments, and get things into the ADs.  If you gate access to the
meeting on milestone update, I suspect you're going to get a whirlwind
of milestone updates right before the meeting as part of the pulse,
without a significant change.  A required update of the milestones
after the meeting _for every group_ might be useful, but it, frankly,
might also lose itself in the pulse effect.

I do agree with your point that using milestones is appropriate
because it is an agreement between the WG and the AD.  It's important
to stress, though, that this is a WG, not chair, agreement.  The chair
can't make new milestone commitments without WG buy-in.  To pick on
CRISP a bit more, we held the WG last call on the first doc
(requirements) on schedule, but picked up new participants and a group
of substantive comments at that point.  Those comments delayed the
outgoing requirements doc and mean that the current specification
documents may need further work.  At the last CRISP meeting we tackled
the problem of the slip, and proposed new timelines.  Those are
awaiting mailing list confirmation and will get documented when
confirmed by the list and the ADs.  As chair, I pushed back on some of
the suggestions for revised timelines, since I suspected they were
unrealistic in the light of holiday activities. For reasons which
should be obvious to this group, it would have been much harder to
push them forward.

If you go back and read the CRISP archives, you'll also see both that
there were discussions as we went about the need to meet the timelines
and serious pushback from the new (or renewed) participants on that
need.  Several times, a small group of folk (principally the chair and
document authors) were accused of railroading the process in order to
meet the timelines or of using the need to meet the milestones to
achieve some more sinister goal.  Using the face to face time of the
working group meeting to reset the milestones was actually very
important in this case, because it helped cool down folks who had
gotten pretty steamed during the course of discussion.  Fundamentally,
though, the participants argued that the quality of the documents must
take priority over the timeliness of them.
 
I don't mean to pick on CRISP, but this trio of influences (pulses in
attention, tension between timeliness and quality, and tension between
the voluntary nature of participation and the "contract" method of
management) is very common.

> In the cases of the current Apps ADs (the situation above) I happen to know 
> that they had a much worse situation not very long ago and have been 
> actively working to clean it up. I obviously think they still have work to 
> do, but I applaud what they have done. I'm trying to give them consistent 
> tools with the other ADs, and consistent expectations with their WG chairs.

I think these need to be consistent expectations for the WGs, not just
the chairs.

> But when a document 
> is handed to an AD for review or some other agreed deliverable event 
> occurs, although we treat that as a private event between the authors, 
> chairs, and the AD, it is in fact a formal communication from the working 
> group to the IESG in the person of the AD. When the AD responds saying "you 
> need to do something before I will let this progress", that is also a 
> formal statement from the IESG in the person of the AD to the working group.
> 
> I'm simply saying that the working group should be copied on that interchange.

As a formal event, I agree that the working group should be copied on
the interchange; the working group as a whole is responsible for the
document.  To put it another way, the working group has a contract
with the IETF as a whole to produce it, even though the agents involved
may be the ADs and the WG chair.

> Substantive comments on drafts in progress, I 
> think, are statements to the working group, not the author, regardless of 
> who sends them. IMHO, they should get sent to the list so that they can be 
> discussed and edited into the document as consensus develops. 
> Meta-comments, I would argue, always belong on the list. 

This may be true, but the ADs may need to be slightly more rigorous
about applying the principle; others making substantive comments do
not have the same power in the process.
				regards,
					Ted Hardie

---

From: Fred Baker <[email-masked]>
Date: Thu, 12 Dec 2002 15:21:48 -0800

At 02:31 PM 12/12/2002 -0800, Ted Hardie wrote:
>this trio of influences (pulses in attention, tension between timeliness
>and quality, and tension between the voluntary nature of participation and
>the "contract" method of management) is very common.

True enough, and timeliness is only one consideration. But it is one that
we routinely do poorly on, and the lack of it is a symptom of far deeper
problems. I merely propose that we treat it like we treat a fever: find the
cause of the symptom and decide what we're going to do about it, but not
ignore it.

>I agree that this conversation needs to happen, but I don't think this is
>a good lever.

What lever would you suggest? The right lever has two characteristics, I
will argue: it is sufficiently unavoidable and problematic to actually act
as a lever, and sufficiently benign that, having served its purpose, the
working group can continue without a noticeable hiccup.

My concern with the 18 month rule and the N working group rule are, besides
being arbitrary, they fail the second consideration.